#!/bin/sh

export PATH=$PATH:/fabos/link_bin
KERMIT=kermit
LCCMD=accessLCConsole

die () {
    echo >&2 "$@"
    exit 1
}

function sig_handler
{
    echo signal > /tmp/nothing;
    $LCCMD disable &> /dev/null;
    exit
}
trap sig_handler SIGHUP SIGINT SIGTERM SIGQUIT

# Don't have to handle invalid arguments, noscli does it.
if [ $# -eq 0 ]; then
    $LCCMD show
    exit 0
fi


# ppid=`ps -p $$ -o ppid=`
# echo $ppid
# ps -aef | grep $ppid | grep ttyEHV0
# if [ $? -eq 0 ]; then           # we are not in a SSH session
#     echo "Can be run only over a SSH session"
#     exit 1
# fi

$LCCMD show &> /dev/null
if [ $? -eq 0 ]; then
    ps aux | grep "[k]ermit -b 9600" > /dev/null
    if [ $? -eq 0 ]; then
        echo "Remote console is already running"
        exit 1
    else
        $LCCMD disable &> /dev/null
    fi
fi

# Checking for decimal argument only
echo $1 | grep -E -q '^[0-9]+$' || die "LC slot number is required"
lc="L$1"

$LCCMD enable $lc &> /dev/null
if [ $? -eq 0 ]; then
    echo "Connecting to Linecard $lc"
    $KERMIT -b 9600 -l /dev/ttyEHV1 -C "set flow-control none,set handshake none,set carrier-watch off" -HEqc
else
    echo "Cannot access Linecard $lc"
fi

$LCCMD disable &> /dev/null
